//import java.util.List;

import {DocumentReaderAuthenticityCheckResult} from './DocumentReaderAuthenticityCheckResult';

export class DocumentReaderAuthenticityCheckList {
    constructor(){
        this.result = null;//int
        this.list = [];//List<DocumentReaderAuthenticityCheckResult>
    }

    static fromJson(jsonObject) {
        if (jsonObject != null) {
            var result = new DocumentReaderAuthenticityCheckList();
            result.result = jsonObject["result"];
            for(var i in jsonObject["list"]){
                result.list.push(DocumentReaderAuthenticityCheckResult.fromJson(jsonObject["list"][i]));
            }
            return result;
        }

        return null;
    }

}
